Subject: Re: [PATCH v7 1/3] dsa: marvell: Define .set_max_frame_size() function for mv88e6250 SoC family

From: Lukasz Majewski <[email-masked]>
Date: Wed, 24 May 2023 14:53:57 +0200

Hi Russell,

> On Tue, May 23, 2023 at 04:29:10PM +0200, Lukasz Majewski wrote:
> > Switches from mv88e6250 family (the marketing name - "Link Street",
> > including mv88e6020 and mv88e6071) need the possibility to setup the
> > maximal frame size, as they support frames up to 2048 bytes.
> > 
> > Signed-off-by: Lukasz Majewski <[email-masked]>  
> 
> Adding this function doesn't allow the "possibility" for a larger
> frame size. Adding it changes the value returned from
> mv88e6xxx_get_max_mtu() to be a larger frame size, so all switches
> that make use of mv88e6250_ops will be expected to support this
> larger frame size. Do we know whether that is true?
> 

According to functional specification - the 6070, 6071, 6250, 6020 and
6220 have "Max Frame Size" of 2048 bytes.

The mv88e6xxx_get_max_mtu() now will:
return 1632 - VLAN_ETH_HLEN - EDSA_HLEN - ETH_FCS_LEN;

which is acceptable and safe for this family of chips.

> There were patches floating about a while ago that specified the
> maximum size in struct mv88e6xxx_info, but it seems those died a
> death.
> 

Those patches seems to not be strictly required after Vladimir's work.

The v7 provides what I need, so yes - extra patches from v6 can be
discarded.

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]